Bug 638662 - check_missing_debuginfo command/function not found
check_missing_debuginfo command/function not found
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb-heap (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-29 11:37 EDT by William Cohen
Modified: 2011-07-30 23:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: gdb-heap-0.5-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 16:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2010-09-29 11:37:23 EDT
Description of problem:

In some cases the check_missing_debuginfo command/function is not found.

Version-Release number of selected component (if applicable):

gdb-7.2-15.fc14.x86_64
gdb-heap-0.5-1.fc14.x86_64
coreutils-8.5-4.fc14.x86_64
coreutils-debuginfo-8.5-4.fc14.x86_64

Make sure that glibc-debuginfo is NOT installed on the machine


How reproducible:

Always

Steps to Reproduce:
1. Make sure that glibc-debuginfo is NOT installed on the machine
   PYTHONPATH=/usr/share/gdb-heap gdb /bin/ls
   python import heap
   break main
   run
2. The do a "heap" command in gdb

  
Actual results:

gdb) heap
Traceback (most recent call last):
  File "/usr/share/gdb-heap/heap/commands.py", line 34, in g
    return f(self, args, from_tty)
  File "/usr/share/gdb-heap/heap/commands.py", line 56, in invoke
    usage_list = list(iter_usage_with_progress())
  File "/usr/share/gdb-heap/heap/__init__.py", line 526, in next
    return self.inner.next()
  File "/usr/share/gdb-heap/heap/__init__.py", line 550, in iter_usage
    for chunk in ms.iter_sbrk_chunks():
  File "/usr/share/gdb-heap/heap/glibc.py", line 236, in iter_sbrk_chunks
    chunk = MChunkPtr(gdb.Value(sbrk_base()).cast(MChunkPtr.gdb_type()))
  File "/usr/share/gdb-heap/heap/glibc.py", line 317, in sbrk_base
    check_missing_debuginfo(e, 'glibc')
NameError: global name 'check_missing_debuginfo' is not defined
Error occurred in Python command: global name 'check_missing_debuginfo' is not defined

Expected results:

Nice one line error message about glibc-debuginfo missing. Or no failure at all.


Additional info:
Comment 2 Fedora Update System 2010-09-29 17:43:59 EDT
gdb-heap-0.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-heap-0.5-2.fc14
Comment 3 Fedora Update System 2010-09-30 01:30:46 EDT
gdb-heap-0.5-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdb-heap'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gdb-heap-0.5-2.fc14
Comment 4 William Cohen 2010-09-30 11:26:45 EDT
Yes, gdb-heap-0.5-2.fc14 has much better for this.
Comment 5 Fedora Update System 2011-07-18 16:29:52 EDT
gdb-heap-0.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gdb-heap-0.5-3.fc14
Comment 6 Fedora Update System 2011-07-30 23:35:18 EDT
gdb-heap-0.5-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.